(function(){
var additionalData = [
["title.html","Network Error Simulation Manual",
"Network Error Simulation Manual\nVersion 4.0\n\tNintendo Confidential\n\tThis document contains confidential and proprietary information of Nintendo and is also protected under the copyright laws of the United States and foreign countries. No part of this document may be released, distributed, transmitted, or reproduced in any form or by any electronic or mechanical means, including information storage and retrieval systems, without permission in writing from Nintendo.\n© 2013–2015 Nintendo. All rights reserved.\nAll company and product names in this document are the trademarks or registered trademarks of their respective companies.\nCTR-06-0332-001-C\n",0]
,["Pages/Page_25691596.html","3. Using the Account Developer Portal",
"3. Using the Account Developer Portal\n",0]
,["Pages/Page_25691596.html#PageId_25692970","3.1. Accessing the Account Developer Portal",
"3.1. Accessing the Account Developer Portal\nAccess the Account Developer Portal from the following URL.\nOn the top page, click Login To Account Developer Portal to open the login page for OMAS. Enter the same login NDID and password that you used when you logged in to OMAS.\nhttps://game-dev.accountportal.nintendo.net/\n",0]
,["Pages/Page_25691596.html#PageId_59490612","3.2. Registering the Account",
"3.2. Registering the Account\nTo view and edit user account information for your Nintendo Network (user) account by using the Account Developer Portal, you must first register a user account created on the 3DS with your NDID that was generated by OMAS.\nRegister the account from the Register area of the Test NNIDs page. To register accounts, you must provide a user account ID and password. When registration succeeds, a list of the user accounts registered with your NDID appears on the Test NNIDs page. You cannot register a user account that is already registered to another NDID.\nYou can unregister a user account from your NDID by clicking the Unregister button in the associated user account list. Accounts that have been unregistered can be re-registered through the regular registration process.\nTo delete a user account, click Delete. The user account is not only deleted from the Account Developer Portal, but it also can no longer be used from the 3DS, so take great care when you use this feature.\n",0]
,["Pages/Page_25691596.html#PageId_25692977","3.3. Managing User-Related Information",
"3.3. Managing User-Related Information\nOn the Test NNIDs page, select an account ID to open the Dashboard for that user. On the Dashboard, you can view information about that user that is registered with the account server. In Actions, you can select the following actions.\n",0]
,["Pages/Page_25691596.html#PageId_25692979","3.3.1. Editing the Profile",
"3.3.1. Editing the Profile\nYou can edit the following profile information. You cannot change the country.\nTable 3-1. Editing the Profile\n \tItem\tComments\n \tNNID\tAlthough a user cannot change this value, Nintendo can change it as part of service management. After an ID is changed, it can never be restored to its original value.\n \tDate of Birth\tAlthough a user cannot change this value, Nintendo can change it as part of service management.\n \tGender\tYou can change this setting by using the account settings on the 3DS.\n \tRegion\tYou can change this setting by using the account settings on the 3DS. The available options differ according to the country.\n \tTime Zone\tYou can change this setting by using the account settings on the 3DS. The available options differ according to the country.\n \tLanguage\tThis setting is not linked to the system settings on the 3DS. Envisioned for use by non-Nintendo devices, this setting is not used by the 3DS.\n \tEmail Address\tYou can change this setting by using the account settings on the 3DS.\n \tPrimary Email Validated\tThis flag indicates whether the user has confirmed receipt for the email address.\n \tMarketing Flag\tThis flag indicates whether to accept email advertising from Nintendo. You can change this setting by using the account settings on the 3DS.\n \tAllow web-based use\tThis flag indicates whether the Nintendo Network account is being used from some device other than a Nintendo device, like a computer or a smartphone. You can change this setting by using the account settings on the 3DS.\n \tPrimary Email Reachable\tNot used at this time (to be used in the future).\n \tTwo Factor Auth Enabled\tNot used at this time (to be used in the future).\n",0]
,["Pages/Page_25691596.html#PageId_47819979","3.3.2. Application Test Settings",
"3.3.2. Application Test Settings\nThe Nintendo Developer Portal provides a feature for emulating responses to various errors when testing applications. You can change application behavior when using the network service by selecting a test item and application. Applications listed for selection are limited to those that you have viewing privileges for on OMAS, and those that are in the development phase or later.\nTo check a particular error on the 3DS, log in to the selected user account and have the application that is being checked execute any one of the following functions for getting a service token.\n\tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\nTable 3-2. Available Tests\n \tTest\tDescription\n \tNotification of termination of service\tReturns the error code \"022-2882\" indicating that network service has terminated.\n \tMaintenance notification\tReturns the error code \"022-2881\" indicating that the network service is currently unavailable due to maintenance.\n \tVersion Not Available Test\tReturns the error code \"022-2512\" indicating that an application update is required to use the network service.\n \tInvalid service token\tForcibly returns an invalid token.\n",0]
,["Pages/Page_25691596.html#PageId_47820000","3.3.3. Settings for Banning a User Account",
"3.3.3. Settings for Banning a User Account\nYou can ban the user account that is currently selected to prohibit it from using the network service. You can also set a duration for the ban when you register it.\nThere are the following four types of bans.\nTable 3-3. Available Types of Bans\n \tType of Ban\tDescription\n \tAll Accesses \tProhibits the selected user from logging in to the Nintendo Network.\nIn the Ban Type field, select User Access.\nIf the banned user attempts to log in, the error code \"022-2802\" (or \"022-2822\" if a duration was set for the ban) occurs, and the user cannot log in.\n \tNNID + Wii U Games/\nNNID + 3DS Games \tProhibits the selected user from using network services from specific games. (They can log in to the Nintendo Network.)\nIf you select User + Game under Ban Type, a list of the selectable games along with the unique IDs and initial codes appears. Select games from this list to prohibit them from using network services.\nAfter the ban is set, when any of the API functions that get service tokens are called, error code \"022-2803\" (or \"022-2823\" if a duration was set for the ban) occurs.\n \tNNID + Game Server \tProhibits the selected user from using services provided by specific game servers. (They can log in to the Nintendo Network.)\nIf you select User + Game Server under Ban Type, a list of the selectable game servers along with the game server IDs appears. Select game servers from this list to prohibit them from being used.\nAfter the ban is set, when any of the API functions that get independent server tokens are called, error code \"022-2804\" (or \"022-2824\" if a duration was set for the ban) occurs.\n \tNNID + Service \tProhibits the selected user from using specific network services. (They can log in to the Nintendo Network.)\nIf you select User + Service under Ban Type, a list of the selectable services along with the first four characters of the client IDs appears. Select services from this list to prohibit them from being used.\nThe selectable network services are those on independent servers that can be accessed with OMAS by accounts logged in to the Account Developer Portal, and the following network services offered by Nintendo.\n \tMiiverse\tNintendo eShop\nAfter the ban is set, when any of the API functions that get independent server tokens are called, error code \"022-2805\" (or \"022-2825\" if a duration was set for the ban) occurs.\n",0]
,["Pages/Page_25691596.html#PageId_38871298","3.3.4. Viewing the Service Token Acquisition Function Execution Log",
"3.3.4. Viewing the Service Token Acquisition Function Execution Log\nThis feature enables you to view the execution log for service token acquisition functions. It appears as an available selection for applications in the development or later phases if you have viewing rights on OMAS.\nIt shows the log of service token acquisition function executions for the selected application, along with the results of the calls. Note, however, that you cannot use this feature to view the log of function calls for logging in to the NEX server. Logs are also not shown in the following cases.\n\tUser account authentication failed.\tThe client ID is incorrect.\tThe application's unique ID is incorrect.\n",0]
,["Pages/Page_25691596.html#PageId_39915270","3.3.5. Changing Passwords",
"3.3.5. Changing Passwords\nThis feature changes the password of the selected user account.\nTo change the password, enter the new password and click Update.\n",0]
,["Pages/Page_25691596.html#PageId_59490626","3.3.6. Managing Accepted EULAs",
"3.3.6. Managing Accepted EULAs\nYou can view the history of End User License Agreements (EULA) that the selected user account has accepted. Also, you can cancel the acceptance of an optional EULA by clicking Reset.\nIf acceptance of an EULA is canceled, error code \"022-2503\" occurs at login, and the user must agree to the EULA again before logging in.\n",0]
,["Pages/Page_25691596.html#PageId_25693047","3.4. Managing Device Information",
"3.4. Managing Device Information\nThe user Dashboard shows the devices associated with that user's account under Associated Device. Selecting a device opens the Dashboard for that device.\nYou can view information about that device on the device Dashboard. In Actions, you can select the following actions.\n",0]
,["Pages/Page_25691596.html#PageId_47820015","3.4.1. Settings for Banning a Device",
"3.4.1. Settings for Banning a Device\nYou can ban the device that is currently selected, to prohibit it from using the network service. You can also set a duration for the ban when you register it.\nThere are the following four types of bans.\nTable 3-4. Types of Bans Available\n \tType of Ban\tDescription\n \tDevice Accesses \tProhibits the selected device from accessing the Nintendo Network.\nIn Type, select Device Ban.\nIf a user attempts to log in from the banned device, the error code \"022-2812\" (or \"022-2832\" if a duration was set for the ban) occurs, and the device cannot log in. Also, the device can no longer create new user accounts.\n \tDevice + Wii U Games/Device + 3DS Games \tProhibits the selected device from using network services from specific games. (They can log in to the Nintendo Network.)\nIf you select Device + Game under Ban Type, a list of the selectable games along with the unique IDs and initial codes appears. Select games from this list to prohibit them from using network services.\nAfter the ban is set, when any of the API functions that get service tokens are called, error code \"022-2813\" (or \"022-2833\" if a duration was set for the ban) occurs.\n \tDevice + Game Server \tProhibits the selected device from using services provided by specific game servers. (They can log in to the Nintendo Network.)\nIf you select Device + Game Server under Ban Type, a list of the selectable game servers along with the game server IDs appears. Select game servers from this list to prohibit them from being used.\nAfter the ban is set, when any of the API functions that get independent server tokens are called, error code \"022-2814\" (or \"022-2834\" if a duration was set for the ban) occurs.\n \tDevice + Service \tProhibits the selected device from using specific network services. (They can log in to the Nintendo Network.)\nIf you select Device + Service under Ban Type, a list of the selectable services along with the first four characters of the client IDs appears. Select services from this list to prohibit them from being used.\nThe selectable network services are those on independent servers that can be accessed with OMAS by accounts logged in to the Account Developer Portal, and the following network services offered by Nintendo.\n \tMiiverse\tNintendo eShop\nAfter the ban is set, when any of the API functions that get independent server tokens are called, error code \"022-2815\" (or \"022-2835\" if a duration was set for the ban) occurs.\nCONFIDENTIAL\n",0]
,["Pages/Page_47818159.html","1. Introduction",
"1. Introduction\nThis document describes how to use the Authentication Server Error Simulator, a tool that enables developers to generate and check error codes and error messages that do not occur under normal use in the Nintendo Network-compatible software for 3DS.\nIn this document, the term \"3DS\" refers not only to the original Nintendo 3DS but also to the entire Nintendo 3DS family as a whole.\n",0]
,["Pages/Page_47818159.html#PageId_82034773","1.1. Account Developer Portal",
"1.1. Account Developer Portal\nThe Account Developer Portal is a website that supports the development and debugging of software for developers who use the account server. The Account Developer Portal enables you to view and edit Nintendo Network account information saved on the account server, and to emulate the generation of errors that may occur when using the account server. A Nintendo Developer ID (NDID) is required in order to log in to the Account Developer Portal. If you are already using an Online title MAnagement System (OMAS) account, it can be used as an NDID. If you do not have an NDID, ask the person in charge of OMAS at your company or in your section to issue you one.\nNote:\n Plans also call for gradually adding new features to the portal after its introduction.\nCONFIDENTIAL\n",0]
,["Pages/Page_47818161.html","2. Using the Authentication Server Error Simulator",
"2. Using the Authentication Server Error Simulator\nAfter connecting to the Internet, software that supports Nintendo Network must first communicate with an authentication server to validate the user information saved on the 3DS system.\n Note:\n Some network services, such as SpotPass, do not communicate with the authentication server.\nThe Authentication Server Error Simulator can create fake authentication errors.\n",0]
,["Pages/Page_47818161.html#PageId_47818232","2.1. Framework for the Authentication Server Error Simulator",
"2.1. Framework for the Authentication Server Error Simulator\nThe Authentication Server Error Simulator has the following framework.\n Figure 2-1. Framework for the Authentication Server Error Simulator\nA dummy authentication server—separate from the normal authentication server—has been set up to simulate error responses. Because the 3DS system’s connection is configured to use the dummy authentication server, a dummy DNS server has also been set up to return fake DNS responses. To check errors, you must change the access point’s DNS settings so that the 3DS system’s DNS requests are sent to this dummy DNS server.\n",0]
,["Pages/Page_47818161.html#PageId_47818234","2.2. Setting Errors",
"2.2. Setting Errors\n",0]
,["Pages/Page_47818161.html#PageId_47818236","2.2.1. Configuring the DNS Settings of the Access Point",
"2.2.1. Configuring the DNS Settings of the Access Point\nTo configure your access point, complete the following steps.\n \tConnect your computer to the access point and open the Settings screen as described in the access point’s manual. \tSet the DNS setting of the access point or the DHCP notifications to 202.32.117.150.\nNote: Different access points are configured differently. Some access points may not be configurable. \tDisconnect your computer from the access point once, and then connect again.\nNote: To enable the DNS settings from step 2, connect using DHCP. \tOpen the command window. Run nslookup nasc.nintendowifi.net and confirm that it returns 202.32.117.155. Then run nslookup nasc.test.nintendowifi.net and confirm that it returns 202.32.117.156.\nNote: If the returned IP addresses differ from these values, review the settings and try restarting both the computer and the access point.\n",0]
,["Pages/Page_47818161.html#PageId_47818240","2.2.2. Setting the Error Response",
"2.2.2. Setting the Error Response\nUse the following steps to configure the errors returned to the 3DS system.\n \tConnect your computer to the access point configured in 2.2.1. Procedure for an Access Point’s DNS Settings. \t Access the following URL: https://nas-err.mng.nintendo.net/. In the dialog box that appears, enter the user ID and password that are automatically issued by OMAS. To verify the user ID and password on OMAS, in the Common Title Data Information of the title to be verified, see the Error Simulation Server item. \tSelect the error code to return from the list. You can cause the selected response error to occur on a 3DS system that is connected to the same access point as the PC that made the settings (regardless of the title).\n Table 2-1. List of Selectable Authentication Errors\n \tError Code \tCause\n \t 002-0101\n \t The response from the authentication server was empty.\n There is a problem with the authentication server or the network.\n \t 002-0101\n \t The authentication server returned an empty response code.\n This is a bug in the authentication server.\n \t 002-0102\n \t Service is stopped for this user (on the application server side).\n \t 002-0102\n \t Service is stopped for this user (on the friend server side).\n \t 002-0106\n \t A large number of user IDs have already been created for a single system.\n \t 002-0107\n \t Application information does not exist on the server.\n \t 002-0109\n \t Invalid information was returned to the authentication server during authentication.\n \t 002-0110\n \t Service for the application has ended.\n \t 002-0119\n \t The friend presence daemon version is old.\n \t 002-0120\n \t The application version is old.\n \t 002-0121\n \t The system has an invalid certificate.\n \t 002-0122\n \t An invalid connection was set.\n Try to connect to a different environment.\n \t 002-0123\n \t The card information is invalid.\n \t 002-0124\n \t This card is stopped.\n \t 002-0125\n \t Application information does not exist on the server.\n The reason for this error is different from the reason for 002-0107.\n \t 002-0999\n \t Service is stopped for this user (on the application server side).\n \t 002-0999\n \t Service is stopped for this user (on the friend server side).\n \t 002-3400\n \t HTTP status code of 400 (on the application server side).\n There is a problem on the authentication server.\n \t 002-3400\n \t HTTP status code of 400 (on the friend server side).\n There is a problem on the authentication server.\n \t 002-3503\n \t HTTP status code of 503 (on the application server side).\n The authentication server has stopped or is experiencing heavy network traffic.\n \t 002-3503\n \t HTTP status code of 503 (on the friend server side).\n The authentication server has stopped or is experiencing heavy network traffic.\n \t 003-21XX\n \t Failed to connect to the connection authentication server.\n \t 003-30XX\n \t There was a problem with the authentication server during Nintendo Zone authentication.\n \t 003-31XX\n \t There is a problem with the Nintendo Zone authentication server.\n \t 003-32XX\n \t Nintendo Zone authentication failed.\n \t None\n \t Authentication was successful; the response was an invalid SVCLOC token (for licensee applications that use an independent server).\n Note: This can only be selected for titles that use an independent server.\n \t 002-4127\n \t Authentication was successful; the SVCLOC key hash was invalid (for licensee applications that use an independent server).\n Note: This can only be selected for titles that use an independent server.\n Note:\n After friend server authentication succeeds, the same token is maintained until either the token expires or the CTR system is turned off. Consequently, to check errors on the friend server after authentication has succeeded (after checking for errors on the application server), you must turn off and then turn on the 3DS system. You must also power-cycle the 3DS system to check for any 003-XXXX errors after checking for 002-XXXX errors. Checking without rebooting the 3DS can cause other errors.\n Note:\n In the default state, 003-21XX is set. Also, depending on the router or access point used, you might receive the default error of 003-21XX when the device is reset.\nCONFIDENTIAL\n",0]
,["Pages/Page_47818271.html","4. Generating Errors",
"4. Generating Errors\n",0]
,["Pages/Page_47818271.html#PageId_47818280","4.1. Generating the 001-0803 Error Code",
"4.1. Generating the 001-0803 Error Code\nError code 001-0803 is returned by the friend library. This error code is caused by a failure to connect to the authentication server. It cannot occur when you connect to the Authentication Server Error Simulator. You must generate it through the following procedure.\n \tConfirm that you can connect to the Authentication Server Error Simulator from the software with support for Nintendo Network that you want to check.\nNote: At this time, set a 002-XXXX error with the authentication server error simulator. When 003-XXXX is set, the 001-0803 error code is not generated. \tPrevent packets from being sent to the Authentication Server Error Simulator using a packet filter in the access point’s settings. Stop the sending of packets on TCP port 443 to 202.32.117.155 for the retail version of the software or to 202.32.117.156 for the test version of the software. \tTry to authenticate using the software with support for Nintendo Network that you want to check.\n",0]
,["Pages/Page_47818271.html#PageId_47818285","4.2. Generating 002-XXXX Error Codes",
"4.2. Generating 002-XXXX Error Codes\n \tChange the access point’s DNS settings and then configure a connection to the Authentication Server Error Simulator. \tConnect to the Authentication Server Error Simulator from your computer and set the error code that you want to generate, referring to Table 2-1.\tFrom Network Settings on the 3DS, configure to connect to the access point configured in step 1.\tPerform tests with the desired Nintendo Network-compatible software.\nNote: For more information about the configurations in steps 1 and 2, see 2. Using the Authentication Server Error Simulator.\n",0]
,["Pages/Page_47818271.html#PageId_47818849","4.3. Generating 003-XXXX Error Codes",
"4.3. Generating 003-XXXX Error Codes\n",0]
,["Pages/Page_47818271.html#PageId_47818855","4.3.1. Generating Error Codes Using the Tool",
"4.3.1. Generating Error Codes Using the Tool\nYou can use the NZSimulator.cia file included in this package to check the error that occurs when attempting to connect to Nintendo Zone or a hotspot with an application that is restricted from connecting. The environment for generating this error is created by running NZSimulator.cia on the test unit. The error code generated by this error depends on the version of firmware in the 3DS system. See Figure 4-1.\nFigure 4-1. System Firmware Version and Error Codes\n \tSystem Firmware Version\tError Code\n \t0.15.0 and later\n \t 003-3305\n \t0.14.24 and earlier\n \t 003-3505\n ",0]
,["Pages/Page_47818271.html#PageId_47818866","4.3.1.1. Running the Tool on the Test Unit",
"4.3.1.1. Running the Tool on the Test Unit\nTo use NZSimulator.cia, in addition to testing the 3DS for running the application, you must set up the test unit. You must also configure an Internet connection in the test unit for the DS software to use. For more information about importing NZSimulator.cia, see the Readme for this package.\nUse NZSimulator.cia as follows.\n\tOn the HOME Menu of the test unit, select System Settings > Internet Settings > DS Software Settings, and configure an access point for connecting to the Internet.\n\tWhen configuring DS Software Settings, you must open System Settings from the HOME Menu, not the TEST Menu.\n\tTo prevent connection to the access point, either delete connection settings 1 to 3 on the 3DS running the software being tested for this error, or change the SSID.\tRun NZSimulator on the test unit configured in step 1. When NZSimulator runs, a Nintendo Zone signal that generates the error is sent.\tThe 3DS connects to the Nintendo Zone for which the test unit is the parent.\tThe connection to the Nintendo Zone is made automatically.\n\tStart the software being tested for this error from the HOME Menu of the 3DS, and try to connect to the Internet.\tIf wireless conditions are poor, the system might not be able to connect to the Nintendo Zone, and a \"No connection found\" error (003-1099) could occur.\n\tImmediately after nn::uds::Finalize or nn::ndm::SuspendScheduler, the network daemon cannot establish a background connection. In such cases, if the nn::ac::Connect function is called, error code 003-1099 is generated when using this tool. This behavior is according to specification, so if your implementation is as described, it is okay that error code 003-3305 is not generated.\tIf the intended error is not shown, make sure that wireless communication on the test unit running NZSimulator is enabled. The wireless switch cannot be turned on after NZSimulator has been started. If the wireless switch is off, first exit NZSimulator and turn on the wireless switch, and then restart NZSimulator.\n",0]
,["Pages/Page_47818271.html#PageId_47818872","4.3.2. Generating Other Error Codes",
"4.3.2. Generating Other Error Codes\nFor information about generating other error codes of the 003-XXXX level, see the CTR Network Error Code List (CTR_Network_ErrorCodeList.xls).\n",0]
,["Pages/Page_47818271.html#PageId_47818877","4.4. Generating 006-XXXX Error Codes",
"4.4. Generating 006-XXXX Error Codes\nSoftware that uses the NEX library connects to a game server via the NEX library after the authentication process to use presence, matchmaking, and other functionality. The Authentication Server Error Simulator cannot be used to check errors generated when connecting to a game server via the NEX library.\nThe following table shows the procedure for generating errors for each error code.\nFor software using only the nn::nex::IndependentServer::RequestAuthenticationToken function from NEX, NEX does not access a game server, and the following errors are not generated. For this reason, the error codes in Table 4-1 do not need to be checked.\nTable 4-1. Generating 006-XXXX Error Codes\n \tError Code\tDescription of Errors and Generation Procedure\n \t006-0502 \t Generated when connection to the game server cannot be established.\n \tDetermine whether the software being checked, which uses the NEX library, can connect to the game server.\tFrom OMAS, go to the NEX Server item for the software to be checked, which uses the NEX library, and check the listed global IP address.\tUse access point settings to filter packets to stop their transmission to the IP address checked in step 2.\nNote: The IP address differs depending on the software.\tTry connecting to the game server from the software being checked, which uses the NEX library.\n \t006-0612 \t Generated when joining a P2P session fails.\nError code 006-0612 only occurs with software that uses the NEX NetZ library for P2P communication when using NEX matchmaking functionality.\n \tPrepare two 3DS systems (CTR A, CTR B) to perform matchmaking.\tCheck the global IP address used by CTR A.\tIn the settings of the access point that CTR B uses, stop packet transmission to the IP address (to CTR A) confirmed in the previous step using a packet filter.\tPerform matchmaking with CTR A and CTR B and try to participate in a P2P session.\nIf the NEX version is 2.x or earlier, then generate 006-0612 as follows.\n \tDetermine whether the software being checked, which uses the NEX library, can perform matchmaking.\tUse access point settings to filter packets to stop their transfer to the IP addresses 202.32.117.142 and 202.32.117.143.\tPerform matchmaking with the software that uses the NEX library and try to participate in a P2P session.\n Note:\n If you are using the Pia library for P2P communication, this procedure does not generate 006-0612, but instead generates an error code from Figure 4-2. The generated error code differs depending on the NAT type of the network environment. For more information about the NAT types for error codes generated with the Pia library, see the CTR Network Error Code List.\n Figure 4-2. Error Codes Generated When Using the Pia Library\n \tPia Versions Earlier Than 3.6.0\tPia 3.6.0 and Later\n \t018-0201 \t018-0201\n \t018-0510 \t018-0510\n \t018-0511 \t018-0513\n \t018-0512 \t018-0514\n \t \t018-0515\n \t \t018-0516\n \t006-0811 \t Generated when the game server is undergoing maintenance.\nTo check error code 006-0811, the game ID and access key for the software using the NEX library must be changed temporarily. The game ID to be changed for this confirmation depends on the NEX version used by the application, as shown in Table 4-2. Set the end of the game ID to the major version number of the NEX version that is used, minus one.\nIf you are using your software with an independent server, set the key hash value to the same value as the NEX sample demo server, deed2a88.\n Table 4-2. NEX Versions and Game IDs\n \tNEX Version \tGame ID \tAccess Key\n \t 2.x\n \t 0x0FE00701\n \t50671b47\n \t 3.0 to 3.6\n \t 0x0FE00702\n \t50671b47\n \t 3.7 or later\n \t 0x0FE00703\n \t Any\n \tChange the game ID and access key for the software being checked, which uses the NEX library, to match the NEX version being used.\tTry to connect to the game server.\nNote: After checking this error code, make absolutely sure that you restore the changed settings to the originally assigned values.\n \tOther Error Codes\tCurrently, other error codes in 006-XXXX do not need to be checked.\n",0]
,["Pages/Page_47818271.html#PageId_48929895","4.5. Generating 015-XXXX Error Codes",
"4.5. Generating 015-XXXX Error Codes\nError codes of the form 015-XXXX represent errors generated for OLV-related reasons.\nThe following table shows the procedure for generating errors for each error code.\n Table 4-3. Generating 015-XXXX Error Codes\n \tError Code\tDescription of Errors and Generation Procedure\n \t015-1002 \t Generated when browsing and posting to Miiverse is not allowed because of Parental Controls settings.\n \tIn the 3DS Parental Controls settings, select Miiverse > Restrict Viewing and Posting.\tGo to a scene that allows viewing or posting to Miiverse, and make sure that the game software generates this error code.\n \t015-1003 \t Generated when posting to Miiverse is not allowed because of Parental Controls settings.\n \tIn the 3DS Parental Controls settings, select Miiverse > Restrict Posting.\tGo to a scene that allows posting to Miiverse, and make sure that the game software generates this error code.\n \t015-5003 \t Generated when the server is undergoing maintenance.\n \tPrepare a network account with the Nintendo Network ID starting with 5003-.\tGo to a scene that uses the Miiverse feature, and make sure that the game software generates this error code.\nNote: In the production environment, this error is not generated using this procedure.\n \t015-5110 \t This error occurs because the official community you were attempting to post to or get does not exist.\n Note: If, before you post, you get a list of official communities to check for the existence of the community you intend to post to, sometimes this error does not occur when you perform the following procedure.\nThe default official community is created automatically with the first post in the test environment. For this reason, an environment has been prepared intentionally, to check this error. Temporarily change the unique ID/OLV access key as shown below. In the future, application developers will be provided a way to freely change the information for official communities.\nWith titles that use independent servers, to get a service token you must use an account ID that is linked to a unique ID. If your title will not enter scenes that use the feature to post to Miiverse unless a service token has been acquired, set the client ID as shown in the following table and run this test. A client ID does not need to be set for titles that do not use an independent server.\n \tUnique ID\tOLV Access Key\tClient ID\n \t0xFE04B \t2846053188\tfc32546f4fb14b699af35cc31b1a4b30\n \tChange the value for the unique ID/OLV access key that corresponds to the Miiverse-compatible title that you want to check.\tGo to a scene that allows posting to Miiverse, and make sure that the game software generates this error code.\n Note: After checking this error code, make sure that you restore the unique ID, OLV access key, and client ID to the originally assigned values.\n",0]
,["Pages/Page_47818271.html#PageId_47820028","4.6. Generating 022-XXXX Error Codes",
"4.6. Generating 022-XXXX Error Codes\nError codes of the form 022-XXXX represent errors generated for account-related reasons.\nThe following table shows the procedure for generating errors for each error code.\n Table 4-4. Generating 022-XXXX Error Codes\n \tError Code\tDescription of Errors and Generation Procedure\n \t022-2503 \t Generated when the latest EULA has not been agreed to.\n \tOn the Test NNIDs page in the Account Developer Portal, select the desired Nintendo Network ID, and open the user Dashboard.\n \tOn the Dashboard, in Actions, select Agreement Management to open the page for managing accepted EULAs.\n \tFor optional EULAs that have been accepted, remove the agreement to the EULA by clicking Reset.\tRestart the 3DS system, execute the API in the relevant application, and make sure that the error code is generated.\n\tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\tFunction for initializing the EC applet function: nn::ec::CTR::EcApplet::RequestInitializeSession\n \t022-2512 \t Generated when an application update is required.\n \tOn the Test NNIDs page in the Account Developer Portal, select the desired Nintendo Network ID, and open the user Dashboard.\tOn the Dashboard, in Actions, select App Testing to open the page for testing applications.\tClick Add App Test to open the Add Application Test page.\tIn Application Test, select Version Not Available Test, and then in Application, select the title that you want to test.\tClick Add to open the App Testing page, and confirm that a message appears indicating that the application test settings were added.\tRestart the 3DS system, execute the API to get a service token in the relevant application, and make sure that the error code is generated.\tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\n \t022-2631 \t Generated when a network account has been deleted from another terminal.\n Note that the Nintendo Network ID can no longer be used after you perform these steps.\n \tOn the Account Developer Portal Test NNIDs page, click Delete to the right of the desired Nintendo Network ID.\tClick Delete on the page that appears to confirm the action.\tConfirm that the \"Success\" message appears.\tRestart the 3DS system, execute the API in the relevant application, and make sure that the error code is generated.\n \t \tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\tFunction for initializing the EC applet function: nn::ec::CTR::EcApplet::RequestInitializeSession\n \t022-2803 \t Generated when use of network services stops at the account level for the specified unique ID.\n \tOn the Test NNIDs page in the Account Developer Portal, select the desired Nintendo Network ID, and open the user Dashboard.\tOn the Dashboard, in Actions, select BAN Management to open the page for the user account ban settings.\tClick Add BAN to open the Add BAN page.\tIn the Ban Type field, select User + Game.\tWhen the 3DS Title field appears, select the desired title.\tClick Create Ban to open the Ban Status page, and confirm that a message appears indicating that the ban was applied.\tRestart the 3DS system, execute the API to get a service token in the relevant application, and make sure that the error code is generated.\n\tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\n \t022-2812 \t Generated when use of all network services stops at the device level.\n \tOn the Test NNIDs page in the Account Developer Portal, select the desired Nintendo Network ID, and open the user Dashboard.\tOn the Dashboard, in the Associated Device list, select a device. The Dashboard for that device opens.\tOn the Dashboard, in Actions, click BAN Management to open the page for the device ban settings.\tClick Add BAN to open the Add BAN page.\tIn the Ban Type field, select Device Access.\tClick Register to open the ban settings screen, and make sure that the message \"BAN enabled (use of service suspended)\" is displayed.\tRestart the 3DS system, execute the API in the relevant application, and make sure that the error code is generated.\tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\tFunction for initializing the EC applet function: nn::ec::CTR::EcApplet::RequestInitializeSession\n \t022-2813 \t Generated when use of network services stops at the device level for the specified ID.\n \tOn the Test NNIDs page in the Account Developer Portal, select the desired Nintendo Network ID, and open the user Dashboard.\tOn the Dashboard, in the Associated Device list, select a device. The Dashboard for that device opens.\tOn the Dashboard, in Actions, click BAN Management to open the page for the device ban settings.\tClick Add BAN to open the Add BAN page.\tIn the Ban Type field, select Device + Game.\tWhen the 3DS Title field appears, select a title.\tClick Create Ban to open the Ban Status page, and make sure that a message is displayed indicating that the ban was applied. \tRestart the 3DS system, execute the API to get a service token in the relevant application, and make sure that the error code is generated.\n \tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\n \tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\n \t022-2881 \t Generated when the service is undergoing maintenance.\n \tOn the Test NNIDs page in the Account Developer Portal, select the desired Nintendo Network ID, and open the user Dashboard.\tOn the Dashboard, in Actions, select App Testing to open the page for testing applications.\tClick Add App Test to open the page for adding test settings.\tIn Application Test, select Maintenance Mode, and then in Application. Select the title that you want to test.\tClick Add to open the application test settings screen, and make sure that the message \"Application test configuration added\" is displayed.\tRestart the 3DS system, execute the API to get a service token in the relevant application, and make sure that the error code is generated.\tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\n \t022-2882 \t Generated when a service has already been terminated.\n \tOn the Test NNIDs page in the Account Developer Portal, select the desired Nintendo Network ID, and open the user Dashboard.\tOn the Dashboard, in Actions, select App Testing to open the page for testing applications.\tClick Add App Test to open the page for adding test settings.\tIn Application Test, select App End Date Expiration Test, and then in Application, select the title that you want to test.\tClick Add to open the application test settings screen, and make sure that the message \"Application test configuration added\" is displayed.\tRestart the 3DS system, execute the API to get a service token in the relevant application, and make sure that the error code is generated.\tFunction for getting an independent server token: nn::act::applet::AcquireIndependentServiceToken\tFunction for getting a Miiverse token: nn::act::applet::AcquireOlvServiceToken\n Note:\n When starting an EC applet and authenticating a Nintendo Network ID, if an Account Developer Portal has been configured for a specific application, some errors are not generated (022-2803, 022-2813, 022-2881, 022-2882). The reason is that it is the EC applet that is authenticating the Nintendo Network ID, and not the application.\nCONFIDENTIAL\n",0]
,["Pages/Page_47818910.html","5. Revision History",
"5. Revision History\n \tVersion\tRevision Date\tCategory\tDescription\n \t 4.0 \t 2015-03-18\tAdditions \t \t 1.1. Account Developer Portal\n \tChanges \t \tAll\nUI text has been revised to match the Account Developer Portal. \t1. Introduction\nChanged the title. \t3.1. Accessing the Account Developer Portal\nAdded entries about NDID. \t3.3.1. Editing the Profile\nAdded items. \t4.4. Generating 006-XXXX Error Codes\nDeleted an incorrect description of setting the access key.\n \t3.0 \t2014-10-24\tAdditions \t \tGenerating 015-XXXX Error Codes\n \tChanges \t \tAll\n Changed description for the 3DS family.\nApplied UI wording changes.\nChanged \"associate\" to \"register.\"\t1. About this Document\nAdded a description that \"3DS\" indicates the Nintendo 3DS family.\t2.2.2. Setting Response Errors\nAdded a description of generating errors on 3DS.\t4.4. Generating 006-XXXX Error Codes\nRevised the NEX version in \"NEX versions and game IDs.\"\t4.6. Generating 022-XXXX Error Codes\nAdded a description of the API for getting a Miiverse token and the Initialization function for the EC applet.\n \t2.0 \t2014-05-20\tAdditions \t \t4.5. Generating 022-XXXX Error Codes\n \tChanges \t \t2.2.2. Setting Response Errors\nChanged the connection URL.\t4.3.1. Generating Error Codes Using the Tool\nDeleted content about NZSimulator_fg_off.srl.\t4.3.1. Generating Error Codes Using the Tool\nChanged terminology from \"3DS development unit\" to \"CTR test unit.\"\t4.3.1.1. Running Tools on the CTR Test Unit\nChanged the name from \"Running Tools with the 3DS development unit.\"\nChanged \"3DS developer unit\" to \"CTR Test Unit.\"\nClarified from the start that DS connection settings must be used.\nClarified that a CTR test unit, separate from the CTR running the application being tested, must be prepared.\t4.4. Generating 006-XXXX Error Codes\nAdded a note that NEX errors are not generated if only the nn::nex::IndependentServer::RequestAuthenticationToken function is used.\tChanged the error code descriptions to a table format.\n \tDeletions \t \t4.3.1.2. Running Tools on the DS Development Unit\n \t1.2 \t2014-03-24\tChanges \t \t3.4.2. Generating Error Code 006-0612\nAdded a note that generation of Error Code 018-0510 creates a memory leak when using the supplementary Pia library.\nAdded that different error codes are generated when using Pia 3.6.0 and later versions of the supplementary Pia library.\n \t1.1 \t2013-06-14\tChanges \t \t3.3.1.1. Running Tools on the 3DS Development Unit\nAdded that wireless communication must be enabled when running the tool.\n \t1.0 \t2013-06-11\tAdditions \t \t3.3.1.1. Running Tools on the 3DS Development Unit\n \tChanges \t \tRevised the network service name to Nintendo Network.\t2.2.2. Setting Response Errors\nAdded information about the error simulator server user ID and password.\nAdded Note.\t3.1. Generating the 001-0803 Error Code\nAdded that the error code is returned from the friend library.\nAdded that 002-XXXX must be set beforehand in the procedure.\t3.4.2. Generating the 006-0612 Error Code\nAdded that the error is returned when using the NEX NetZ library.\nRevised the procedure.\nAdded Note.\t3.4.3. Generating the 006-0811 Error Code\nAdded information about the key hash value when using an independent server.\n \t0.5 \t2011-07-28\tAdditions \t \t3.4. Generating 006-XXXX Error Codes\t4.1. Generating the 006-0502 Error Code\t4.2. Generating the 006-0612 Error Code\n \tChanges \t \t3.3.1. Generating Error Codes Using the Tool\nAdded information about when Error code 003-1099 is generated.\t3.4.3. Generating the 006-0811 Error Code\nAdded information about the Game IDs that correspond to the NEX versions.\n \t0.4 \t2011-04-04\tAdditions \t \t4. Using the Game Server Simulator\n \tChanges \t \t3.3. Generating 003-XXXX Error Codes\nAdded information about the system firmware version and error codes generated.\nChanged the procedure to start an application from the HOME Menu.\n \t0.3 \t2011-02-08\tAdditions \t \t3.3.1. Generating Error Code 003-3505\t3.3.2. Generating Error Codes Other Than 003-3505\n \tChanges \t \tDocument Title\t2.2. Configuring Errors\nChanged the IP address and URL.\nChanged the instructions.\t3.1. Generating the 001-0803 Error Code\nChanged the IP address.\n \t0.2 \t2011-01-21\tChanges \t \tTable 2-1. Configurable Authentication Errors\nAdded notes about the friend server authentication process.\t3. Generating Errors\nChanged the order of headings and paragraphs.\n \t0.1 \t2010-12-01 \t -\n \t \tDraft version.\nCONFIDENTIAL\n",0]
];
for (var x = 0; x < additionalData.length; x++) Search.indexData.push(additionalData[x]);
Search.additionalData = additionalData;
})();
